/*
 * Copyright (c) 2006-2010 Maskat Project.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Maskat Project - initial API and implementation
 */
package jp.sf.maskat.widget.rialto.editpart;

import java.beans.PropertyChangeEvent;
import java.util.List;

import jp.sf.maskat.core.MaskatElement;
import jp.sf.maskat.core.layout.Component;
//import jp.sf.maskat.core.layout.Layout;
import jp.sf.maskat.ui.editors.layout.editparts.ComponentEditPart;
import jp.sf.maskat.widget.rialto.figure.WindowFigure;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.GraphicalEditPart;
//import org.eclipse.gef.commands.Command;
import org.eclipse.gef.commands.Command;


public class WindowEditPart extends ComponentEditPart {
	
	protected IFigure createFigure() {
		return new WindowFigure();
	}
	
	public void setModel(Object model) {
		if (model instanceof Component) {
			((Component) model).setConstraint(0, 0, 0, 0);
		}
		super.setModel(model);
	}

	public Command createConstrainCommand(Object model, Rectangle constraint) {
		return null;
	}

	public void propertyChange(PropertyChangeEvent evt) {
		if ("addChild".equals(evt.getPropertyName()) ||
			"removeChild".equals(evt.getPropertyName())) {
			refresh();
		}
		super.propertyChange(evt);
	}
	
	protected void refreshVisuals() {
		Rectangle constraint = ((GraphicalEditPart)
				this.getParent()).getFigure().getBounds();
		
		constraint = new Rectangle(	0, 0, constraint.width, constraint.height);
		((GraphicalEditPart) getParent()).setLayoutConstraint(this, getFigure(),
				constraint);
	}
	
	protected List getModelChildren() {
		List result = null;
		if (getModel() instanceof MaskatElement) {
			result = ((MaskatElement) getModel()).getChildren();
		}
		return (result != null) ? result : super.getModelChildren(); 
	}

//	public boolean canDelete() {
//		return true;
//	}

//	public boolean canAddParent(Object parent) {
//		return parent instanceof Layout;
//	}
}
